#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareDelete()
#   Usable environment variable:
#       SHARE_NAME, ENC_ACTION={encrypt|decrypt}, RESULT
###############################################################

case $1 in
    --sdk-mod-ver)
        #Print SDK support version
        version=`/var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --sdk-mod-ver`
        echo "$version";
    ;;
    --name)
        #Print package name
        name=`/var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --name`
        echo "${name}";
    ;;
    --pkg-ver)
        #Print package version
        pkg_ver=`/var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --pkg-ver`
        echo "${pkg_ver}";
    ;;
    --vendor)
        #Print package vendor
        vendor=`/var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --vendor`
        echo "${vendor}";
    ;;
    --pre)
        /var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --pre
    ;;
    --post)
        /var/packages/CloudStation/target/scripts/CSTNShareEnc.sh --post
    ;;
    *)
        echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
    ;;
esac

